#version 430
layout(binding=0, r32i) uniform iimage2D imgSrc;
layout(binding=1, r32f) uniform image2D imgTarget;
uniform float clearToValue;
void main() {
  ivec4 v = imageLoad(imgSrc, ivec2(gl_FragCoord.xy));
  imageStore(imgTarget, ivec2(gl_FragCoord.xy), fract(vec4(v*0.01)));
  discard; return;
}
